MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006680ardourbugspublic2015-11-19 03:542017-03-05 16:27
ReporterModeler 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSArch LinuxOS VersionCurrent
Product Version4.2 
Target VersionFixed in Version5.X git (version in description) 
Summary0006680: End point of MIDI regions changes when tempo is altered.
DescriptionThe grid is redrawn when tempo changes and this affects the duration of MIDI regions, creating gaps or overlaps depending on whether the tempo is raised or lowered.
Steps To ReproduceCreate any MIDI region (let's say a four-bar bassline) and copy / paste it so there are several contiguous copies of this region, then lower the master tempo by 10 BPM or so. Observe that the end point of the region has been clipped back and any notes within that region are either cut or do not sound.

Raise the tempo by 10 BPM or so and the regions are now padded out and overlapping, messing up the timeline.


TagsNo tags attached.
Attached Filespng file icon adour_tempo.png [^] (261,305 bytes) 2015-11-19 03:54

Sponsor - Users sponsoring this issue
Sponsors List Total Sponsorship = US$ 10

2016-04-27 12:36: killermike (US$ 10)

- Relationships

-  Notes
(0018161)
killermike (reporter)
2016-04-27 12:36

I am having this problem with 4.7 too. It's a shame because lowering the tempo to half speed to play in a part is one of my favourite techniques when composing MIDI tunes.
(0018571)
killermike (reporter)
2016-09-08 01:43

This seems to be fixed in 5.3. In a sequence that was made at 140BPM, I was able to change the tempo to 120BPM without overlapping regions. However, it looks like the loop markers and other markers are still not moved correctly.
(0018573)
timbyr (developer)
2016-09-08 19:36

I can also confirm this issue is no longer present in 5.3

For the loop and other markers to move as you expect you need to "glue" them to BBT time from the Locations window.

If you think this issue is fixed please change status to resolved.

Thanks
(0019225)
nick_m (reporter)
2016-12-28 06:58

this should have been fixed by commit d0580ecfbc
(0019226)
nick_m (reporter)
2016-12-28 07:03

well actually the second part of the bug (range markers not moving)
should have been fixed by d0580ecfbc.

you may now right-click the range marker and select "Glue to bars and beats"
to make the ranges move with a tempo change.
(0019491)
timbyr (developer)
2017-03-05 16:27

The issues mentioned in this report should were included in the 5.X release series, the last being mentioned was included in the 5.6 release. Marking as resolved.

- Issue History
Date Modified Username Field Change
2015-11-19 03:54 Modeler New Issue
2015-11-19 03:54 Modeler File Added: adour_tempo.png
2016-04-27 12:36 killermike Note Added: 0018161
2016-04-27 12:36 killermike Sponsorship Added killermike: US$ 10
2016-04-27 12:36 killermike Sponsorship Total 0 => 10
2016-09-08 01:43 killermike Note Added: 0018571
2016-09-08 19:36 timbyr Note Added: 0018573
2016-12-28 06:58 nick_m Note Added: 0019225
2016-12-28 07:03 nick_m Note Added: 0019226
2017-03-05 16:27 timbyr Note Added: 0019491
2017-03-05 16:27 timbyr Status new => resolved
2017-03-05 16:27 timbyr Fixed in Version => 5.X git (version in description)
2017-03-05 16:27 timbyr Resolution open => fixed
2017-03-05 16:27 timbyr Assigned To => timbyr


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker